USE @DBNAME 

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pageAccess]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
    DROP TABLE [dbo].[pageAccess]

CREATE TABLE [dbo].[pageAccess](
    [pageAccessId] [int] IDENTITY(1,1) NOT NULL,
    [Url] [nvarchar](256) NOT NULL,
    [Title] [nvarchar](100) NOT NULL,
    [AdminAllowAccess] [bit] NOT NULL,
    [ManagerAllowAccess] [bit] NOT NULL,
    [EmployeeAllowAccess] [bit] NOT NULL,
 CONSTRAINT [PK_pageAccess] PRIMARY KEY CLUSTERED 
(
    [pageAccessId] ASC
) ON [PRIMARY],
 CONSTRAINT [IX_pageAccess_Url] UNIQUE NONCLUSTERED 
(
    [Url] ASC
) ON [PRIMARY]
) ON [PRIMARY]

Set Identity_Insert pageAccess On
INSERT INTO pageAccess
  (pageAccessId, Url, Title, AdminAllowAccess, ManagerAllowAccess, EmployeeAllowAccess)
select 1, N'absentincondition.aspx', N'افراد غيبت متوالي', 1, 1, 0 union
select 2, N'activedirectory.aspx', N'تنظيمات Active Directory', 1, 0, 0 union
select 3, N'addextraworkgrouprequest.aspx', N'اضافه کار گروهی', 0, 1, 0 union
select 4, N'addextraworkrequest.aspx', N'برگه درخواست اضافه کار', 0, 1, 1 union
select 5, N'addioinfo.aspx', N'برگه اعلام ورود و خروج', 0, 1, 0 union
select 6, N'addmission.aspx', N'برگه درخواست ماموریت', 0, 1, 0 union
select 7, N'addmissionhour.aspx', N'ساعت های ماموریت روزانه', 0, 1, 0 union
select 8, N'addonviewerpage.aspx', N'برگه مشاهده Add-On', 1, 1, 1 union
select 9, N'addonviewerpageblank.aspx', N'برگه مشاهده Add-On', 1, 1, 1 union
select 10, N'addpatern.aspx', N'تعریف روند', 1, 0, 0 union
select 11, N'addpersontosection.aspx', N'دسترسی های عمومی', 1, 0, 0 union
select 12, N'addrule.aspx', N'ثبت گروه', 1, 0, 0 union
select 13, N'addvacation.aspx', N'ثبت درخواست مرخصی', 1, 1, 0 union
select 14, N'adminaccesstoreport.aspx', N'دسترسی گزارشات', 1, 0, 0 union
select 15, N'admindefault.aspx', N'صفحه اصلی - مدیر سایت', 1, 0, 0 union
select 16, N'approvedextrawork.aspx', N'مجوز اضافه کارهای تآیید شده', 0, 1, 0 union
select 17, N'approvedmission.aspx', N'ماموریتهای تآیید شده', 0, 1, 0 union
select 18, N'aprovedvacation.aspx', N'مرخصی های تآیید شده', 0, 1, 0 union
select 19, N'changepass.aspx', N'تغییر رمز عبور', 1, 1, 0 union
select 20, N'default.aspx', N'صفحه اصلی - کاربران سایت', 1, 1, 1 union
select 21, N'editmissionhour.aspx', N'ثبت ساعت ماموریت روزانه', 0, 1, 0 union
select 22, N'eosabsence.aspx', N'گزارش عدم حضور', 1, 1, 0 union
select 23, N'eosadminpermissionlist.aspx', N'دسترسی های کاربران قسمتها', 1, 0, 0 union
select 24, N'eoschangethem.aspx', N'تنظیمات', 0, 1, 0 union
select 25, N'eosdaywork.aspx', N'گزارش کارکرد روزانه', 0, 1, 0 union
select 26, N'eosdayworkdetail.aspx', N'جزییات کارکرد روزانه', 1, 1, 0 union
select 27, N'eosiodump.aspx', N'گزارش ورود و خروج قبل تأیید', 0, 1, 0 union
select 28, N'eosioinfo.aspx', N'گزارش ورود و خروج', 0, 1, 0 union
select 29, N'eosioinfocurrent.aspx', N'گزارش ورود و خروج در ماه', 0, 1, 0 union
select 30, N'eoskartabl.aspx', N'کارپوشه مدیر', 0, 1, 0 union
select 31, N'eosmoghayerat.aspx', N'گزارش مغایرت', 0, 1, 0 union
select 32, N'eosmonthwork.aspx', N'گزارش کارکرد ماهانه', 0, 1, 0 union
select 33, N'eosmonthworkdetail.aspx', N'جزییات کارکرد ماهانه', 1, 1, 0 union
select 34, N'eosperiodwork.aspx', N'کارکرد دوره ای', 0, 1, 1 union
select 35, N'eosperiodworkdetail.aspx', N'جزییات کارکرد دوره ای', 1, 1, 0 union
select 36, N'eospermissionlist.aspx', N'دسترسی های عمومی', 1, 1, 0 union
select 37, N'eospresent.aspx', N'اسامی حاضرین', 1, 1, 0 union
select 38, N'eostotal.aspx', N'گزارش وضعیت پرسنل', 0, 1, 0 union
select 39, N'extraworkreqlist.aspx', N'آرشيو برگه هاي ماموريت', 1, 1, 1 union
select 40, N'extraworkrequest.aspx', N'بررسی درخواستهای اضافه کار', 1, 1, 0 union
select 41, N'inbox.aspx', N'صندوق پیامهای ورودی', 1, 1, 1 union
select 42, N'ioinfoindate.aspx', N'گزارش ورود و خروج در تاریخ خاص', 1, 1, 0 union
select 43, N'iolist.aspx', N'آرشیو برگه های ورود و خروج', 0, 1, 0 union
select 44, N'iorequest.aspx', N'بررسی درخواستهای ورود و خروج', 1, 1, 0 union
select 45, N'kartabl.aspx', N'کارپوشه شخصی', 1, 1, 1 union
select 46, N'lockerror.aspx', N'بررسی قفل', 1, 1, 1 union
select 47, N'mergeio.aspx', N'گزارش کامل تردد در تاریخ خاص', 1, 1, 0 union
select 48, N'mergeioindate.aspx', N'گزارش کامل تردد در تاريخ خاص', 1, 1, 0 union
select 49, N'mergeioindates.aspx', N'گزارش کامل تردد در بازه', 0, 1, 1 union
select 50, N'missionlist.aspx', N'آرشيو برگه هاي ماموريت', 1, 1, 1 union
select 51, N'missionrequest.aspx', N'بررسی درخواستهای ماموریت', 1, 1, 0 union
select 52, N'outbox.aspx', N'صندوق پیامهای دریافتی', 1, 1, 1 union
select 53, N'pageapprovecode.aspx', N'تأییده های مدیر', 1, 0, 0 union
select 54, N'patternapprovecode.aspx', N'تأیید روند', 1, 0, 0 union
select 55, N'patternpermission.aspx', N'دسترسی های روند', 1, 0, 0 union
select 56, N'personeldaywork.aspx', N'مشاهده کارکرد روزانه', 1, 1, 0 union
select 57, N'personelioinfo.aspx', N'گزارش ورود و خروج پرسنل', 1, 1, 0 union
select 58, N'personelmergeio.aspx', N'گزارش کامل ترددهای پرسنل', 1, 1, 0 union
select 59, N'personelmoghayerat.aspx', N'گزارش مغایرت پرسنل', 0, 1, 0 union
select 60, N'personelmonthwork.aspx', N'مشاهده کارکرد ماهانه', 1, 1, 0 union
select 61, N'personelperiodwork.aspx', N'مشاهده کارکرد دوره ای', 1, 1, 0 union
select 62, N'personelreportaccess.aspx', N'گزارشات سفارشی پرسنل', 1, 0, 0 union
select 63, N'personelsshow.aspx', N'مشاهده پرسنل', 1, 1, 0 union
select 64, N'portalconfig.aspx', N'تنظیمات Portal', 1, 0, 0 union
select 65, N'reportgeneratortypemanagment.aspx', N'گزارشات سفارشی', 1, 0, 0 union
select 66, N'resetpass.aspx', N'بازسازی رمز ورود پرسنل', 1, 0, 0 union
select 67, N'sendmessage.aspx', N'ارسال پیام', 1, 1, 0 union
select 68, N'showreport.aspx', N'نمایش گزارشات سفارشی', 0, 1, 1 union
select 69, N'uncompleteio.aspx', N'ورود و خروج ناقص پرسنل', 0, 1, 0 union
select 70, N'vacationlist.aspx', N'آرشيو برگه هاي مرخصي', 1, 1, 1 union
select 71, N'vacationrequest.aspx', N'بررسی درخواست های مرخصی', 1, 1, 0 union
select 72, N'viewpersonelimage.aspx', N'تصویر پرسنل', 1, 1, 1 union
select 73, N'viewpersonelvacation.aspx', N'گزارش مرخصی افراد', 0, 1, 0 union
select 74, N'viewpersonextrawork.aspx', N'گزارش اضافه کار افراد', 0, 1, 0 union
select 75, N'viewpersonio.aspx', N'گزارش ورود و خروج افراد', 0, 1, 0 union
select 76, N'viewpersonmission.aspx', N'گزارش ماموریت افراد', 0, 1, 0 union
select 77, N'websetting.aspx', N'تنظیمات سیستم', 1, 0, 0 union
select 78, N'reports\personelslist.aspx', N'گزارش چاپی پرسنل', 1, 1, 0 union
select 79, N'reports\rpabsence.aspx', N'گزارش چاپی عدم حضور', 1, 1, 0 union
select 80, N'reports\rpioindate.aspx', N'گزارش چاپی ورود و خروج در تاریخ خاص', 1, 1, 0 union
select 81, N'reports\rpioinfo.aspx', N'گزارش چاپی ورود و خروج پرسنل', 1, 1, 0 union
select 82, N'reports\rpperesentpersonel.aspx', N'گزارش چاپي اسامي حاضرين', 1, 1, 0 union
select 83, N'reports\rppersoneldayworkdeail.aspx', N'گزارش چاپي جزييات کارکرد دوره اي', 1, 1, 1 union
select 84, N'reports\rppersonelperiodwork.aspx', N'گزارش چاپي کارکرد دوره اي و ماهانه', 1, 1, 1 union
select 85, N'reports\rppersonelperiodworkdetail.aspx', N'گزارش چاپي جزييات کارکرد دوره اي و ماهانه', 1, 1, 1 union
select 86, N'reports\rppersonelsdaywork.aspx', N'گزارش چاپي کارکرد روزانه', 1, 1, 1 union
select 87, N'reports\rppersoneluncompletedio.aspx', N'گزارش چاپی ورود و خروج ناقص پرسنل', 0, 1, 0 union
select 88, N'customreport.aspx', N'گزارش سفارشی', 0, 1, 0 union
select 89, N'reports\rppersonneldetailword.aspx', N'گزارش  سفارشی', 0, 1, 0  union
select 90, N'reports\rppersonnelvacationdetail.aspx', N'وب کارت - برگه مرخصی', 1, 1, 0 union
select 91, N'reports\rppersonnelmissiondetail.aspx', N'وب کارت - برگه ماموریت', 1, 1, 0 union
select 92, N'AdminInfo.aspx', N'سطوح تایید مدیر', 0, 1, 0 union
select 93, N'ReportPermission.aspx', N'دسترسی به گزارشات سفارشی', 1, 0, 0 union
select 94, N'CustomReports.aspx', N'گزارش های سفارشی', 0, 1, 1 union
select 95, N'reports\customreportview.aspx', N'وب کارت - گزارش های سفارشی', 0, 1, 1 union
select 96, N'AddEspecificExtraWork.aspx', N'درخواست اضافه کار ویژه', 1, 1, 0 union
select 97, N'EspecificExtraWorkRequest.aspx', N'اضافه کارهای ویژه', 1, 1, 0 union
select 98, N'SpecificExtraWorkList.aspx', N'آرشیو برگه های اضافه کارهای ویژه', 0, 0, 1

Set Identity_Insert pageAccess Off
